org.apache.cassandra.cql3.functions

## Class SecurityThreadGroup

- java.lang.Object
- - java.lang.ThreadGroup
  - - org.apache.cassandra.cql3.functions.SecurityThreadGroup

All Implemented Interfaces:
  java.lang.Thread.UncaughtExceptionHandler

    public final class SecurityThreadGroup
    extends java.lang.ThreadGroup

Used by `ThreadAwareSecurityManager` to determine whether access-control checks needs to be performed.

### Constructor Summary

Constructors
Constructor and Description
`SecurityThreadGroup(java.lang.String name, java.util.Set<java.lang.String> allowedPackages, org.apache.cassandra.cql3.functions.SecurityThreadGroup.ThreadInitializer threadInitializer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initializeThread()`
`boolean` `isPackageAllowed(java.lang.String pkg)`

### Methods inherited from class java.lang.ThreadGroup

`activeCount, activeGroupCount, allowThreadSuspension, checkAccess, destroy, enumerate, enumerate, enumerate, enumerate, getMaxPriority, getName, getParent, interrupt, isDaemon, isDestroyed, list, parentOf, resume, setDaemon, setMaxPriority, stop, suspend, toString, uncaughtException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SecurityThreadGroup

    public SecurityThreadGroup(java.lang.String name,
                               java.util.Set<java.lang.String> allowedPackages,
                               org.apache.cassandra.cql3.functions.SecurityThreadGroup.ThreadInitializer threadInitializer)

### Method Detail

#### initializeThread

    public void initializeThread()

#### isPackageAllowed

    public boolean isPackageAllowed(java.lang.String pkg)